#ifndef WIN_HPP
#define WIN_HPP

#include <optional>
#include <string>

bool put_data_on_clipboard(const char *text);
std::string get_user_password();
std::optional<std::string> get_save_path();

int getWindowSize(int *rows, int *cols);
int enableRawMode(void);
int writeTerm(const char *buf, int length);
int readTerm(char *buf, int length);

#endif